Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.reflect
Interface RegistrationListener

    public interface RegistrationListener

Metadata for a registration listener interested in service registration and unregistration events for a service.

The registration listener is called with the initial state of the service when the registration listener is actuated.

Version:
  $Revision: 7563 $

Method Summary
`Target` | `getListenerComponent()` Return the Metadata for the component that will receive registration and unregistration events.
`String` | `getRegistrationMethod()` Return the name of the registration method.
`String` | `getUnregistrationMethod()` Return the name of the unregistration method.

Method Detail

### getListenerComponent

    Target getListenerComponent()

  Return the Metadata for the component that will receive registration and unregistration events. This is specified by the `ref` attribute or via an inlined component.

  Returns:
    The Metadata for the component that will receive registration and unregistration events.

### getRegistrationMethod

    String getRegistrationMethod()

  Return the name of the registration method. The registration method will be invoked when the associated service is registered with the service registry. This is specified by the `registration-method` attribute of the registration listener.

  Returns:
    The name of the registration method.

### getUnregistrationMethod

    String getUnregistrationMethod()

  Return the name of the unregistration method. The unregistration method will be invoked when the associated service is unregistered from the service registry. This is specified by the `unregistration-method` attribute of the registration listener.

  Returns:
    The name of the unregistration method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.